SunONESubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.sun.sunone.ejb.SunONESubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.sun.sunone.ejb
Class SunONESubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.ejb.dd.AbstractEjbDeploymentDescriptorSubTask
                          xdoclet.modules.sun.sunone.ejb.SunONESubTask

All Implemented Interfaces:
  Serializable

public class SunONESubTask
extends AbstractEjbDeploymentDescriptorSubTask

Generates configuration files for EJB jars in iPlanet/SunONE

Version:
  $Revision: 1.3 $
Author:
  Andrew Stevens
See Also:
  Serialized Form
ant.element
  display-name="SunONE" name="sunone" parent="xdoclet.modules.ejb.EjbDocletTask"
created
  October 01, 2002
To do:
  allow for overriding the CMP templates etc., secondary-table element is not currently supported in the cmp mappings file

Nested Class Summary
`static class` | `SunONESubTask.SunONEVersionTypes`

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`SunONESubTask()`

Method Summary
`void` | `execute()` Describe what the method does
`String` | `getCmpDestinationFile()` Gets the destination filename of the CMP mappings file.
`String` | `getCmpResourceJndiName()` Return the CMP Resource JNDI name.
`String` | `getCmpResourcePrincipalName()` Return the CMP Resource Principal name.
`String` | `getCmpResourcePrincipalPassword()` Return the CMP Resource Principal password.
`String` | `getCmpSchema()` Return the database schema filename (minus .dbschema extension), as captured using Sun's utilities.
`String` | `getCmpTemplateFile()` Gets the name of the sun-cmp-mappings.xml template file.
`String` | `getTransactionManagerType()` Return the default transaction manager type.
`String` | `getVersion()` Return the iPlanet/SunONE version.
`void` | `setCmpDestinationFile(String cmpDestinationFile)` Sets the destination filename of the CMP mappings file.
`void` | `setCmpResourceJndiName(String cmpResourceJndiName)` Specifies the absolute jndi-name of the database to be used for storing CMP beans in the EJB JAR file.
`void` | `setCmpResourcePrincipalName(String cmpResourcePrincipalName)` Specifies the default sign-on name to the resource manager.
`void` | `setCmpResourcePrincipalPassword(String cmpResourcePrincipalPassword)` Specifies the default password to the resource manager.
`void` | `setCmpSchema(String cmpSchema)` Specifies the database schema filename (minus .dbschema extension), as captured using Sun's utilities.
`void` | `setCmpTemplateFile(String cmpTemplateFile)` Sets the name of the sun-cmp-mappings.xml template file.
`void` | `setTransactionManagerType(String transactionManagerType)` Optional default transaction manager type for all components.
`void` | `setVersion(SunONESubTask.SunONEVersionTypes version)` The SunONE/iPlanet version.
`void` | `validateOptions()` Called to validate configuration parameters.

Methods inherited from class xdoclet.modules.ejb.dd.AbstractEjbDeploymentDescriptorSubTask
`atLeastOneCmp1EntityBeanExists, atLeastOneCmp2EntityBeanExists, atLeastOneCmpEntityBeanExists`

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, engineStarted, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SunONESubTask

    public SunONESubTask()

Method Detail

### getVersion

    public String getVersion()

  Return the iPlanet/SunONE version.

  Returns:
    The iPlanet/SunONE version

### getTransactionManagerType

    public String getTransactionManagerType()

  Return the default transaction manager type.

  Returns:
    The transaction manager type

### getCmpResourceJndiName

    public String getCmpResourceJndiName()

  Return the CMP Resource JNDI name.

  Returns:
    The CMP Resource JNDI name

### getCmpResourcePrincipalName

    public String getCmpResourcePrincipalName()

  Return the CMP Resource Principal name.

  Returns:
    The CMP Resource Principal name

### getCmpResourcePrincipalPassword

    public String getCmpResourcePrincipalPassword()

  Return the CMP Resource Principal password.

  Returns:
    The CMP Resource Principal password

### getCmpSchema

    public String getCmpSchema()

  Return the database schema filename (minus .dbschema extension), as captured using Sun's utilities.

  Returns:
    The schema filename

### getCmpTemplateFile

    public String getCmpTemplateFile()

  Gets the name of the sun-cmp-mappings.xml template file.

  Returns:
    the custom template file

### getCmpDestinationFile

    public String getCmpDestinationFile()

  Gets the destination filename of the CMP mappings file.

  Returns:
    the destination filename

### setVersion

    public void setVersion(SunONESubTask.SunONEVersionTypes version)

  The SunONE/iPlanet version. Supported versions are 6.0, 6.5 and 7.0.

  Parameters:
    `version` - The new Version value

### setTransactionManagerType

    public void setTransactionManagerType(String transactionManagerType)

  Optional default transaction manager type for all components. Allowed values are 'local' and 'global'.

  Parameters:
    `transactionManagerType` - "local" or "global"

### setCmpResourceJndiName

    public void setCmpResourceJndiName(String cmpResourceJndiName)

  Specifies the absolute jndi-name of the database to be used for storing CMP beans in the EJB JAR file.

  Parameters:
    `cmpResourceJndiName` - String containing the JNDI name

### setCmpResourcePrincipalName

    public void setCmpResourcePrincipalName(String cmpResourcePrincipalName)

  Specifies the default sign-on name to the resource manager.

  Parameters:
    `cmpResourcePrincipalName` - String containing the name

### setCmpResourcePrincipalPassword

    public void setCmpResourcePrincipalPassword(String cmpResourcePrincipalPassword)

  Specifies the default password to the resource manager.

  Parameters:
    `cmpResourcePrincipalPassword` - String containing the password

### setCmpSchema

    public void setCmpSchema(String cmpSchema)

  Specifies the database schema filename (minus .dbschema extension), as captured using Sun's utilities.

  Parameters:
    `cmpSchema` - String containing the schema name

### setCmpTemplateFile

    public void setCmpTemplateFile(String cmpTemplateFile)

  Sets the name of the sun-cmp-mappings.xml template file.

  Parameters:
    `cmpTemplateFile` - the name of the custom template file

### setCmpDestinationFile

    public void setCmpDestinationFile(String cmpDestinationFile)

  Sets the destination filename of the CMP mappings file.

  Parameters:
    `cmpDestinationFile` - the destination filename

### validateOptions

    public void validateOptions()
                         throws XDocletException

  Called to validate configuration parameters.

  Overrides:
    `validateOptions` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Description of Exception

### execute

    public void execute()
                 throws XDocletException

  Description copied from class: `TemplateSubTask`
  Describe what the method does

  Overrides:
    `execute` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Describe the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD